OUTPUT_ARCH( "riscv" )

ENTRY( Init )

MEMORY
{
  ram (rwxai) : ORIGIN = 0x00080000, LENGTH = 0x00010000
}

PHDRS
{
  PrgCode PT_LOAD;
  PrgData PT_NULL;
  DevDscr PT_LOAD;
}

SECTIONS
{
  /*                                          */
  /* PrgCode section for code + readonly data */
  /*                                          */
  PrgCode            :
  {
    *(.text .text.*)                       /* Code */
    *(.rdata)                              /* Readonly data */
    *(.rodata .rodata.*)                   /* Readonly data */
    KEEP (*(PrgCode))
  } >ram AT>ram :PrgCode
  /*                             */
  /* PrgData section for rw data */
  /*                             */
  . = ALIGN(4);
  PrgData            :
  {
    . = ALIGN(4);
    *(.sbss*)
    *(.bss .bss.*)
    KEEP (*(PrgData))
  } >ram AT>ram :PrgData
  /*                                                             */
  /* DevDscr section for flash device description                */
  /* Must be the last one.                                       */
  /*                                                             */
  . = ALIGN(4);
  DevDscr            :
  {
    KEEP (*(DevDscr))
  } >ram AT>ram :DevDscr
}
